package freeforums;

import java.io.*;

public class User extends Object implements Serializable {

 protected String UserName, Password, RealName, Email;
 protected boolean SuperUser;
 
 public User(String inUserName) {
  UserName=inUserName;
 }

 public User(String inUserName, String inPassword, String inRealName, String inEmail, boolean inSuperUser) {
  UserName=inUserName;
  Password=inPassword;
  RealName=inRealName;
  Email=inEmail;
  SuperUser=inSuperUser;
 }

 public void setUserName(String inUserName) { UserName=inUserName; }
 public void setPassword(String inPassword) { Password=inPassword; }
 public void setRealName(String inRealName) { RealName=inRealName; }
 public void setEmail(String inEmail) { Email=inEmail; }
 public void setSuperUser(boolean inSuperUser) { SuperUser=inSuperUser; }

 public String getUserName() { return UserName; }
 public String getPassword() { return Password; }
 public String getRealName() { return RealName; }
 public String getEmail() { return Email; }
 public boolean getSuperUser() { return SuperUser; }

 public String toString() {
  if (SuperUser) return "* "+RealName+" ("+UserName+") Password: "+Password+" Email: "+Email;
  return "  "+RealName+" ("+UserName+") Password: "+Password+" Email: "+Email;
 }

}
